<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        android:orientation="vertical"
        app:cardCornerRadius="16dp"
        app:cardElevation="0dp">


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="16dp"
            android:paddingVertical="16dp">

<!--            <androidx.appcompat.widget.AppCompatImageView-->
<!--                style="@style/MaterialAlertDialog.Material3.Title.Icon.CenterStacked"-->
<!--                android:layout_width="36dp"-->
<!--                android:layout_height="36dp"-->
<!--                android:src="@drawable/ic_error_white_24dp"-->
<!--                app:tint="?colorPrimary" />-->


            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title_text"
                style="@style/MaterialAlertDialog.Material3.Title.Text.CenterStacked"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="16dp"
                android:gravity="center_horizontal"
                android:text="Situazione articolo" />

            <androidx.core.widget.NestedScrollView
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/incoming_label"
                        style="@style/TextAppearance.Material3.TitleMedium"
                        android:background="@drawable/badge_round_corner"
                        android:backgroundTint="@color/gray_200"
                        android:textAllCaps="true"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center_horizontal"
                        android:layout_gravity="center_horizontal"
                        android:paddingHorizontal="12dp"
                        android:text="In arrivo" />


                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/incoming_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:nestedScrollingEnabled="false"
                        tools:listitem="@layout/dialog_info_situazione_articolo_incoming_list_item"
                        tools:itemCount="1"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />


                    <androidx.appcompat.widget.AppCompatTextView
                        android:id="@+id/available_label"
                        style="@style/TextAppearance.Material3.TitleMedium"
                        android:textAllCaps="true"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:background="@drawable/badge_round_corner"
                        android:backgroundTint="@color/gray_200"
                        android:layout_gravity="center_horizontal"
                        android:layout_marginTop="8dp"
                        android:paddingHorizontal="12dp"
                        android:text="In giacenza" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/available_list"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:nestedScrollingEnabled="false"
                        tools:listitem="@layout/dialog_info_situazione_articolo_available_list_item"
                        tools:itemCount="3"
                        app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />


                </androidx.appcompat.widget.LinearLayoutCompat>




            </androidx.core.widget.NestedScrollView>


        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.cardview.widget.CardView>
</layout>